%define svn_date 20070315
Name:           telescope-server
Version:        0
Release:        0.1.%svn_date%{?dist}
Summary:        Opensource Telescope control servers to interface with stellarium

Group:          Amusements/Graphics
License:        GPL
URL:            http://www.stellarium.org/wiki/index.php/Telescope_Control
# This source was pulled from 
# svn co https://svn.sourceforge.net/svnroot/stellarium/trunk/telescope_server
# based on instructions at http://www.stellarium.org/wiki/index.php/Telescope_Control
Source0:         telescope_server-%svn_date.tar.gz
#Patch0:         Makefile-20070319.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
These servers provide remote telescope control of some popular telescopes.
These servers run stand-alone, but are designed to interface with stellarium.

%prep
%setup -q -n telescope_server
#%patch0

%build
cd src
export CCFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS=""
make %{?_smp_mflags} -e


%install
rm -rf $RPM_BUILD_ROOT
cd src
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerDummy $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerLx200 $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerNexStar $RPM_BUILD_ROOT/%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING  gpl.txt  lgpl.txt README stellarium_telescope_protocol.txt
%{_bindir}/*


%changelog
* Thu Mar 15 2007 Jef Spaleta <jspaleta@gmail.com> - 0-0.1.20070315
- Initial RPM release.

